Supported Platforms

OS (All components)

Platform Support
RHEL/CentOS 7.0+
RHEL/CentOS 6.2+
RHEL/CentOS 7.0+
Ubuntu 12.04
Ubuntu 14.04
Windows Vista/Server 2008R2/2012+
Windows 7
Windows 8
OSX 10.7+

JVMs (All components)

Platform Version Support Notes
OpenJDK 1.7, 1.8  
Oracle JDK (HotSpot) 1.7, 1.8  
IBM J9 1.7, 1.8 Known class loader issue with Crafter Deployer http://issues.craftercms.org/browse/CRAFTERCMS-2157

App Servers (All components)

Platform Support
Tomcat 7+
Tomcat 8+
Websphere
JBoss

Content Repositories (Crafter Studio)

Platform Support
Disk Repo (local use)
Alfresco 5.0
Alfresco 5.1

Databases (Crafter Studio & Social)

Platform Support
Derby
MySql 5.1+
MySql 5.5.14+
PostgresSQL 9.2+
Oracle 11+
SQLServer 2008+

Above RDBMS databases are only required for Crafter Studio component of Crafter CMS.

Platform Support
Solr 4+

Above Solr engine required for Crafter Search (used by Crafter Engine and Crafter Studio)

Platform Support
MongoDB 3+

Above NoSQL databases are only required for Crafter Profile and Crafter Social components of Crafter CMS.

Browsers (Crafter Studio & Social/Profile Admin Consoles)

Crafter sites are capable of supporting ANY browser. Crafter Studio, Crafter Social Admin Console and Crafter Profile Admin Console (internal facing administration tools) have specific browser requirements.

Platform Support
Chome 21+
Firefox 21+
IE 11, Edge 38